Index: issm/branches/trunk-jpl-damage/src/modules/BamgTriangulate/BamgTriangulate.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/BamgTriangulate/BamgTriangulate.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/BamgTriangulate/BamgTriangulate.cpp	(revision 12878)
@@ -27,15 +27,15 @@
 
 	/*Input datasets: */
-	if (verbose) printf("Fetching inputs\n");
+	if (verbose) _printLine_("Fetching inputs");
 	FetchData(&x,&nods,&x_cols,XHANDLE);
 	FetchData(&y,&y_rows,&y_cols,YHANDLE);
 
 	/*Check inputs*/
-	if(y_rows!=nods)         _error_("x and y do not have the same length");
-	if(x_cols>1 || y_cols>1) _error_("x and y should have only one column");
-	if(nods<3)               _error_("At least 3 points are required");
+	if(y_rows!=nods)         _error2_("x and y do not have the same length");
+	if(x_cols>1 || y_cols>1) _error2_("x and y should have only one column");
+	if(nods<3)               _error2_("At least 3 points are required");
 
 	/* Run core computations: */
-	if (verbose) printf("Call core\n");
+	if (verbose) _printLine_("Call core");
 	BamgTriangulatex(&index,&nels,x,y,nods);
 
@@ -49,10 +49,10 @@
 void BamgTriangulateUsage(void)
 {
-	_printf_(true,"BAMGTRIANGULATE - Delaunay Triangulation of a list of points");
-	_printf_(true,"\n");
-	_printf_(true,"   Usage:\n");
-	_printf_(true,"      index=BamgTriangulate(x,y);\n");
-	_printf_(true,"      index: index of the triangulation\n");
-	_printf_(true,"      x,y: coordinates of the nodes\n");
-	_printf_(true,"\n");
+	_pprintString_("BAMGTRIANGULATE - Delaunay Triangulation of a list of points");
+	_pprintLine_("");
+	_pprintLine_("   Usage:");
+	_pprintLine_("      index=BamgTriangulate(x,y);");
+	_pprintLine_("      index: index of the triangulation");
+	_pprintLine_("      x,y: coordinates of the nodes");
+	_pprintLine_("");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/Chaco/Chaco.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/Chaco/Chaco.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/Chaco/Chaco.cpp	(revision 12878)
@@ -42,5 +42,5 @@
 
 	#ifndef _HAVE_CHACO_ //only works if dakota library has been compiled in.
-	_error_(" Chaco not available! Cannot carry out Chaco partitioning!");
+	_error2_("Chaco not available! Cannot carry out Chaco partitioning!");
 	#endif
 
@@ -82,22 +82,22 @@
 	/*Some debugging print: {{{*/
 	#ifdef _DEBUG_
-	printf("nvtxs: %i\n",nvtxs);
-	printf("options: [");
-	for(i=0;i<10;i++)printf("%g|",options[i]);
-	printf("]\n");
-	printf("start: \n");
-	for (i=0; i<nvtxs+1;i++)printf("%i ",start[i]);
-	printf("\n");
-	printf("adjacency: \n");
-	for (i=0; i<mxGetNzmax(A_IN);i++)printf("%i ",adjacency[i]);
-	printf("\n");
-	printf("nedges: %i %p\n",nedges,ewgts);
-	if(ewgts) for (i = 0; i < nedges; i++)printf("%g ",ewgts[i]);
-	printf("\n");
-	printf("vwgts:\n");
-	for (i = 0; i < nvtxs; i++)printf("%g ",vwgts[i]);
-	printf("\n");
-	printf("nparts: %i\n",nparts[0]);
-	printf("goal: %p\n",goal);
+	_printLine_("nvtxs: " << nvtxs);
+	_printString_("options: [");
+	for(i=0;i<10;i++)_printString_(options[i] << "|");
+	_printLine_("]");
+	_printLine_("start: ");
+	for (i=0; i<nvtxs+1;i++)_printString_(start[i] << " ");
+	_printLine_("");
+	_printLine_("adjacency: ");
+	for (i=0; i<mxGetNzmax(A_IN);i++)_printString_("" <<adjacency[i]<< " ");i++)
+	_printLine_("");
+	_printLine_("nedges: " << nedges << " " << ewgts);
+	if(ewgts) for (i = 0; i < nedges; i++)_printString_(ewgts[i] << " ");
+	_printLine_("");
+	_printLine_("vwgts:");
+	for (i = 0; i < nvtxs; i++)_printString_(vwgts[i] << " ");
+	_printLine_("");
+	_printLine_("nparts: " << nparts[0]);
+	_printLine_("goal: " << goal);
 	#endif
 	/*}}}*/
@@ -132,6 +132,6 @@
 
 void ChacoUsage(void){
-	_printf_(true,"\n");
-	_printf_(true,"Usage: [assgn] = Chaco(A,vwgts,ewgts,x,y,z,options,nparts,goal);\n");
-	_printf_(true,"\n");
+	_pprintLine_("");
+	_pprintLine_("Usage: [assgn] = Chaco(A,vwgts,ewgts,x,y,z,options,nparts,goal);");
+	_pprintLine_("");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/ContourToMesh/ContourToMesh.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/ContourToMesh/ContourToMesh.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/ContourToMesh/ContourToMesh.cpp	(revision 12878)
@@ -47,5 +47,5 @@
 	if(nlhs!=1 && nlhs!=2){
 		ContourToMeshUsage();
-		_error_(" usage. See above");
+		_error2_("usage. See above");
 	}
 	#endif
@@ -53,5 +53,5 @@
 	if(nrhs!=NRHS){
 		ContourToMeshUsage();
-		_error_(" usage. See above");
+		_error2_("usage. See above");
 	}
 
@@ -82,5 +82,5 @@
 		WriteData(PLHS1,in_elem);
 	}
-	else _error_(" wrong interpolation type");
+	else _error2_("wrong interpolation type");
 
 	/*end module: */
@@ -91,23 +91,23 @@
 void ContourToMeshUsage(void)//{{{1
 {
-	printf("CONTOURTOMESH - Flag the elements or nodes inside a contour\n");
-	printf("\n");
-	printf("      Usage: \n");
-	printf("         [in_nod,in_elem]=ContourToMesh(index,x,y,contourname,interptype,edgevalue)\n\n");
-	printf("\n");
-	printf("         index,x,y: mesh triangulation.\n");
-	printf("         contourname: name of .exp file containing the contours.\n");
-	printf("         interptype: string definining type of interpolation ('element', or 'node').\n");
-	printf("         edgevalue: integer (0, 1 or 2) defining the value associated to the nodes on the edges of the polygons.\n");
-	printf("         in_nod: vector of flags (0 or 1), of size nods if interptype is set to 'node' or 'element and node', \n");
-	printf("            or of size 0 otherwise.\n");
-	printf("         in_elem: vector of flags (0 or 1), of size nel if interptype is set to 'element' or 'element and node', \n");
-	printf("            or of size 0 otherwise.\n");
-	printf("\n");
-	printf("      Example: \n");
-	printf("         in_nod=ContourToMesh(md.elements,md.x,md.y,'Contour.exp','node',1)\n");
-	printf("         in_elements=ContourToMesh(md.elements,md.x,md.y,'Contour.exp','element',0)\n");
-	printf("         [in_nodes,in_elements]=ContourToMesh(md.elements,md.x,md.y,'Contour.exp','element and node',0)\n");
-	printf("\n");
+	_printLine_("CONTOURTOMESH - Flag the elements or nodes inside a contour");
+	_printLine_("");
+	_printLine_("      Usage: ");
+	_printLine_("         [in_nod,in_elem]=ContourToMesh(index,x,y,contourname,interptype,edgevalue)\n");
+	_printLine_("");
+	_printLine_("         index,x,y: mesh triangulation.");
+	_printLine_("         contourname: name of .exp file containing the contours.");
+	_printLine_("         interptype: string definining type of interpolation ('element', or 'node').");
+	_printLine_("         edgevalue: integer (0, 1 or 2) defining the value associated to the nodes on the edges of the polygons.");
+	_printLine_("         in_nod: vector of flags (0 or 1), of size nods if interptype is set to 'node' or 'element and node', ");
+	_printLine_("            or of size 0 otherwise.");
+	_printLine_("         in_elem: vector of flags (0 or 1), of size nel if interptype is set to 'element' or 'element and node', ");
+	_printLine_("            or of size 0 otherwise.");
+	_printLine_("");
+	_printLine_("      Example: ");
+	_printLine_("         in_nod=ContourToMesh(md.elements,md.x,md.y,'Contour.exp','node',1)");
+	_printLine_("         in_elements=ContourToMesh(md.elements,md.x,md.y,'Contour.exp','element',0)");
+	_printLine_("         [in_nodes,in_elements]=ContourToMesh(md.elements,md.x,md.y,'Contour.exp','element and node',0)");
+	_printLine_("");
 }
 //}}}
Index: issm/branches/trunk-jpl-damage/src/modules/ContourToNodes/ContourToNodes.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/ContourToNodes/ContourToNodes.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/ContourToNodes/ContourToNodes.cpp	(revision 12878)
@@ -82,9 +82,9 @@
 	/* Debugging of contours :{{{1*/
 	/*for(i=0;i<numcontours;i++){
-		printf("\nContour echo: contour number  %i / %i\n",i+1,numcontours);
+		_printLine_("\nContour echo: contour number  " << i+1 << " / " << numcontours);
 		contouri=*(contours+i);
-		printf("   Number of nodes %i\n",contouri->nods);
+		_printLine_("   Number of nodes " << contouri->nods);
 		for (j=0;j<contouri->nods;j++){
-			printf("   %lf %lf\n",*(contouri->x+j),*(contouri->y+j));
+			_printLine_("   " << *(contouri->x+j) << "f " << *(contouri->y+j) << "f");
 		}
 	}*/
@@ -103,12 +103,12 @@
 
 void ContourToNodesUsage(void){
-	printf("   usage:\n");
-	printf("   [flags]=ContourToNodes(x,y,contourname,edgevalue);\n\n");
-	printf("   where:\n");
-	printf("      x,y: list of nodes.\n");
-	printf("      contourname: name of .exp file containing the contours, or resulting structure from call to expread.\n");
-	printf("      interptype: string definining type of interpolation ('element', or 'node').\n");
-	printf("      edgevalue: integer (0, 1 or 2) defining the value associated to the nodes on the edges of the polygons.\n");
-	printf("      flags: vector of flags (0 or 1), of size nods.\n");
-	printf("\n");
+	_printLine_("   usage:");
+	_printLine_("   [flags]=ContourToNodes(x,y,contourname,edgevalue);\n");
+	_printLine_("   where:");
+	_printLine_("      x,y: list of nodes.");
+	_printLine_("      contourname: name of .exp file containing the contours, or resulting structure from call to expread.");
+	_printLine_("      interptype: string definining type of interpolation ('element', or 'node').");
+	_printLine_("      edgevalue: integer (0, 1 or 2) defining the value associated to the nodes on the edges of the polygons.");
+	_printLine_("      flags: vector of flags (0 or 1), of size nods.");
+	_printLine_("");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/ElementConnectivity/ElementConnectivity.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/ElementConnectivity/ElementConnectivity.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/ElementConnectivity/ElementConnectivity.cpp	(revision 12878)
@@ -37,6 +37,6 @@
 
 void ElementConnectivityUsage(void) {
-	_printf_(true,"\n");
-	_printf_(true,"   usage: elementconnectivity = %s(elements, nodeconnectivity);\n",__FUNCT__);
-	_printf_(true,"\n");
+	_pprintLine_("");
+	_pprintLine_("   usage: elementconnectivity = " << __FUNCT__ << "(elements, nodeconnectivity);");
+	_pprintLine_("");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/EnumToString/EnumToString.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/EnumToString/EnumToString.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/EnumToString/EnumToString.cpp	(revision 12878)
@@ -12,5 +12,5 @@
 	/*checks on arguments on the matlab side: */
 	if(nrhs!=NRHS){
-		EnumToStringUsage(); _error_(" usage. See above");
+		EnumToStringUsage(); _error2_("usage. See above");
 	}
 
@@ -27,6 +27,6 @@
 void EnumToStringUsage(void)
 {
-	_printf_(true,"\n");
-	_printf_(true,"   usage: %sstring = EnumToString(enum);\n",__FUNCT__);
-	_printf_(true,"\n");
+	_pprintLine_("");
+	_pprintLine_("   usage: " << __FUNCT__ << "string = EnumToString(enum);");
+	_pprintLine_("");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/Exp2Kml/Exp2Kml.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/Exp2Kml/Exp2Kml.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/Exp2Kml/Exp2Kml.cpp	(revision 12878)
@@ -25,8 +25,8 @@
 	/*checks on arguments on the matlab side: */
 	if (nlhs > NLHS) {
-		Exp2KmlUsage(); _error_("Exp2Kml usage error");
+		Exp2KmlUsage(); _error2_("Exp2Kml usage error");
 	}
 	if (nrhs < NRHS) {
-		Exp2KmlUsage(); _error_("Exp2Kml usage error");
+		Exp2KmlUsage(); _error2_("Exp2Kml usage error");
 	}
 
@@ -43,13 +43,13 @@
 	if (options->GetOption("central_meridian") || options->GetOption("standard_parallel")) {
 		options->Get(&cm,"central_meridian");
-		if (verbose) printf("  cm=%g\n",cm);
+		if (verbose) _printLine_("  cm=" << cm);
 		options->Get(&sp,"standard_parallel");
-		if (verbose) printf("  sp=%g\n",sp);
+		if (verbose) _printLine_("  sp=" << sp);
 	}
 
 	/*some checks*/
-	if (sgn !=+1 && sgn !=-1) _error_("Hemisphere sgn=%d must be +1 (north) or -1 (south).",sgn);
-	if (fabs(cm)      > 180.) _error_("Central meridian cm=%g must be between -180 (west) and +180 (east) degrees.",cm);
-	if (sp < 0. || sp >  90.) _error_("Standard parallel sp=%g must be between 0 and 90 degrees (in specified hemisphere).",sp);
+	if (sgn !=+1 && sgn !=-1) _error2_("Hemisphere sgn=" << sgn << " must be +1 (north) or -1 (south).");
+	if (fabs(cm)      > 180.) _error2_("Central meridian cm=" << cm << " must be between -180 (west) and +180 (east) degrees.");
+	if (sp < 0. || sp >  90.) _error2_("Standard parallel sp=" << sp << " must be between 0 and 90 degrees (in specified hemisphere).");
 
 	/* Run core computations: */
@@ -73,26 +73,26 @@
 
 void Exp2KmlUsage(void){
-	_printf_(true,"Exp2Kml - exp to kml file conversion module:\n");
-	_printf_(true,"\n");
-	_printf_(true,"   This module converts a file from exp to kml format.\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Usage:\n");
-	_printf_(true,"      [ret]=Exp2Kml(filexp,filkml,sgn,'param name',param,...);\n");
-	_printf_(true,"\n");
-	_printf_(true,"      filexp      file name of exp file to be read (char)\n");
-	_printf_(true,"      filkml      file name of kml file to be written (char)\n");
-	_printf_(true,"      sgn         sign for hemisphere (double, +1 (north) or -1 (south))\n");
-	_printf_(true,"\n");
-	_printf_(true,"      central_meridian     central meridian (double, optional, but must specify with sp)\n");
-	_printf_(true,"      standard_parallel    standard parallel (double, optional, but must specify with cm)\n");
-	_printf_(true,"      holes       flag for treatment of multiple profiles (char, optional, 'yes' for holes))\n");
-	_printf_(true,"\n");
-	_printf_(true,"      ret         return code (non-zero for warning)\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Examples:\n");
-	_printf_(true,"      [ret]=Exp2Kml('file.exp','file.kml', 1);\n");
-	_printf_(true,"      [ret]=Exp2Kml('file.exp','file.kml', 1,'central_meridian',45,'standard_parallel',70,'holes','yes');\n");
-	_printf_(true,"      [ret]=Exp2Kml('file.exp','file.kml',-1,'central_meridian', 0,'standard_parallel',71,'holes','yes');\n");
-	_printf_(true,"\n");
+	_pprintLine_("Exp2Kml - exp to kml file conversion module:");
+	_pprintLine_("");
+	_pprintLine_("   This module converts a file from exp to kml format.");
+	_pprintLine_("");
+	_pprintLine_("   Usage:");
+	_pprintLine_("      [ret]=Exp2Kml(filexp,filkml,sgn,'param name',param,...);");
+	_pprintLine_("");
+	_pprintLine_("      filexp      file name of exp file to be read (char)");
+	_pprintLine_("      filkml      file name of kml file to be written (char)");
+	_pprintLine_("      sgn         sign for hemisphere (double, +1 (north) or -1 (south))");
+	_pprintLine_("");
+	_pprintLine_("      central_meridian     central meridian (double, optional, but must specify with sp)");
+	_pprintLine_("      standard_parallel    standard parallel (double, optional, but must specify with cm)");
+	_pprintLine_("      holes       flag for treatment of multiple profiles (char, optional, 'yes' for holes))");
+	_pprintLine_("");
+	_pprintLine_("      ret         return code (non-zero for warning)");
+	_pprintLine_("");
+	_pprintLine_("   Examples:");
+	_pprintLine_("      [ret]=Exp2Kml('file.exp','file.kml', 1);");
+	_pprintLine_("      [ret]=Exp2Kml('file.exp','file.kml', 1,'central_meridian',45,'standard_parallel',70,'holes','yes');");
+	_pprintLine_("      [ret]=Exp2Kml('file.exp','file.kml',-1,'central_meridian', 0,'standard_parallel',71,'holes','yes');");
+	_pprintLine_("");
 }
 
Index: issm/branches/trunk-jpl-damage/src/modules/HoleFiller/HoleFiller.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/HoleFiller/HoleFiller.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/HoleFiller/HoleFiller.cpp	(revision 12878)
@@ -60,10 +60,10 @@
 void HoleFillerUsage(void)
 {
-	printf("   HoleFiller usage:\n");
-	printf("   [image_out]=HoleFiller(image_in,smooth);\n\n");
-	printf("   where:\n");
-	printf("      image_in in double format\n");
-	printf("      smooth: 1 to smooth with a box filer, 0 to leave data raw\n");
-	printf("      image_out in double format\n");
-	printf("\n");
+	_printLine_("   HoleFiller usage:");
+	_printLine_("   [image_out]=HoleFiller(image_in,smooth);\n");
+	_printLine_("   where:");
+	_printLine_("      image_in in double format");
+	_printLine_("      smooth: 1 to smooth with a box filer, 0 to leave data raw");
+	_printLine_("      image_out in double format");
+	_printLine_("");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/InternalFront/InternalFront.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/InternalFront/InternalFront.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/InternalFront/InternalFront.cpp	(revision 12878)
@@ -26,11 +26,11 @@
 	/*Fetch required fields*/
 	FetchData(&numberofelements,mxGetAssignedField(MODEL,0,"numberofelements"));
-	if(numberofelements<=0) _error_("No elements found in the model");
+	if(numberofelements<=0) _error2_("No elements found in the model");
 	FetchData(&elements,&M,&N,mxGetAssignedField(MODEL,0,"elements"));
-	if(M!=numberofelements || N!=3) _error_("Field 'elements' should be of size [md.numberofelements 3]");
+	if(M!=numberofelements || N!=3) _error2_("Field 'elements' should be of size [md.numberofelements 3]");
 	FetchData(&elementonwater,&M,&N,mxGetAssignedField(MODEL,0,"elementonwater"));
-	if(M!=numberofelements || N!=1) _error_("Field 'elementonwater' should be of size [md.numberofelements 1]");
+	if(M!=numberofelements || N!=1) _error2_("Field 'elementonwater' should be of size [md.numberofelements 1]");
 	FetchData(&elementconnectivity,&M,&N,mxGetAssignedField(MODEL,0,"elementconnectivity"));
-	if(M!=numberofelements || N!=3) _error_("Field 'elementconnectivity' should be of size [md.numberofelements 3]");
+	if(M!=numberofelements || N!=3) _error2_("Field 'elementconnectivity' should be of size [md.numberofelements 3]");
 
 	/*Allocate and initialize all variables*/
@@ -94,6 +94,6 @@
 
 void InternalFrontUsage(void) {
-	_printf_(true,"\n");
-	_printf_(true,"   usage: icefront = %s(md);\n",__FUNCT__);
-	_printf_(true,"\n");
+	_pprintLine_("");
+	_pprintLine_("   usage: icefront = " << __FUNCT__ << "(md);");
+	_pprintLine_("");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/InterpFromGridToMesh/InterpFromGridToMesh.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/InterpFromGridToMesh/InterpFromGridToMesh.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/InterpFromGridToMesh/InterpFromGridToMesh.cpp	(revision 12878)
@@ -46,5 +46,5 @@
 	if((nlhs!=NLHS) || (nrhs!=6 && nrhs!=7)){
 		InterpFromGridToMeshUsage();
-		_error_(" usage. See above");
+		_error2_("usage. See above");
 	}
 
@@ -75,21 +75,21 @@
 void InterpFromGridToMeshUsage(void)
 {
-	_printf_(true,"INTERPFROMGRIDTOMESH - interpolation from a grid onto a list of points\n");
-	_printf_(true,"\n");
-	_printf_(true,"   This function is a multi-threaded mex file that interpolates a field\n");
-	_printf_(true,"   defined on a grid onto a list of points\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Usage:\n");
-	_printf_(true,"      data_mesh=InterpFromGridToMesh(x,y,data,x_mesh,y_mesh,default_value);\n");
-	_printf_(true,"\n");
-	_printf_(true,"      data: matrix holding the data to be interpolated onto the mesh.\n");
-	_printf_(true,"      x,y: coordinates of matrix data. (x and y must be in increasing order)\n");
-	_printf_(true,"      x_mesh,y_mesh: coordinates of the points onto which we interpolate.\n");
-	_printf_(true,"      default_value: default value if no data is found (holes).\n");
-	_printf_(true,"      data_mesh: vector of mesh interpolated data.\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Example:\n");
-	_printf_(true,"      load('velocities.mat');\n");
-	_printf_(true,"      md.inversion.vx_obs=InterpFromGridToMesh(x_n,y_m,vx,md.mesh.x,md.mesh.y,0);\n");
-	_printf_(true,"\n");
+	_pprintLine_("INTERPFROMGRIDTOMESH - interpolation from a grid onto a list of points");
+	_pprintLine_("");
+	_pprintLine_("   This function is a multi-threaded mex file that interpolates a field");
+	_pprintLine_("   defined on a grid onto a list of points");
+	_pprintLine_("");
+	_pprintLine_("   Usage:");
+	_pprintLine_("      data_mesh=InterpFromGridToMesh(x,y,data,x_mesh,y_mesh,default_value);");
+	_pprintLine_("");
+	_pprintLine_("      data: matrix holding the data to be interpolated onto the mesh.");
+	_pprintLine_("      x,y: coordinates of matrix data. (x and y must be in increasing order)");
+	_pprintLine_("      x_mesh,y_mesh: coordinates of the points onto which we interpolate.");
+	_pprintLine_("      default_value: default value if no data is found (holes).");
+	_pprintLine_("      data_mesh: vector of mesh interpolated data.");
+	_pprintLine_("");
+	_pprintLine_("   Example:");
+	_pprintLine_("      load('velocities.mat');");
+	_pprintLine_("      md.inversion.vx_obs=InterpFromGridToMesh(x_n,y_m,vx,md.mesh.x,md.mesh.y,0);");
+	_pprintLine_("");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/InterpFromMesh2d/InterpFromMesh2d.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/InterpFromMesh2d/InterpFromMesh2d.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/InterpFromMesh2d/InterpFromMesh2d.cpp	(revision 12878)
@@ -69,9 +69,9 @@
 	if(nlhs!=NLHS){
 		InterpFromMesh2dUsage();
-		_error_("InterpFromMeshToMesh2dUsage usage error");
+		_error2_("InterpFromMeshToMesh2dUsage usage error");
 	}
 	if((nrhs!=6) && (nrhs!=7) && (nrhs!=8)){
 		InterpFromMesh2dUsage();
-		_error_("InterpFromMeshToMesh2dUsage usage error");
+		_error2_("InterpFromMeshToMesh2dUsage usage error");
 	}
 
@@ -114,9 +114,9 @@
 		/* Debugging of contours :{{{1*/
 		/*for(i=0;i<numcontours;i++){
-		  printf("\nContour echo: contour number  %i / %i\n",i+1,numcontours);
+		  _printLine_("\nContour echo: contour number  " << i+1 << " / " << numcontours);
 		  contouri=*(contours+i);
-		  printf("   Number of vertices %i\n",contouri->nods);
+		  _printLine_("   Number of vertices " << contouri->nods);
 		  for (j=0;j<contouri->nods;j++){
-		  printf("   %lf %lf\n",*(contouri->x+j),*(contouri->y+j));
+		  _printLine_("   " << *(contouri->x+j) << "f " << *(contouri->y+j) << "f");
 		  }
 		  }*/
@@ -131,8 +131,8 @@
 	/*some checks*/
 	if (x_data_rows!=y_data_rows){
-		_error_("vectors x and y should have the same length!");
+		_error2_("vectors x and y should have the same length!");
 	}
 	if (x_prime_rows!=y_prime_rows){
-		_error_("vectors x_prime and y_prime should have the same length!");
+		_error2_("vectors x_prime and y_prime should have the same length!");
 	}
 	
@@ -154,16 +154,16 @@
 void InterpFromMesh2dUsage(void)
 {
-	_printf_(true,"   usage:\n");
-	_printf_(true,"         data_prime=InterpFromMesh2d(index,x,y,data,x_prime,y_prime);\n\n");
-	_printf_(true,"      or data_prime=InterpFromMesh2d(index,x,y,data,x_prime,y_prime,default_value);\n\n");
-	_printf_(true,"      or data_prime=InterpFromMesh2d(index,x,y,data,x_prime,y_prime,default_value,contourname);\n\n");
-	_printf_(true,"   where:\n");
-	_printf_(true,"      x,y: coordinates of the nodes where data is defined\n");
-	_printf_(true,"      index: index of the mesh where data is defined\n");
-	_printf_(true,"      data - vector holding the data to be interpolated onto the points.\n");
-	_printf_(true,"      x_prime,y_prime: coordinates of the mesh vertices onto which we interpolate.\n");
-	_printf_(true,"      default_value: a scalar or vector of size length(x_prime).\n");
-	_printf_(true,"      contourname: linear interpolation will happen on all x_interp,y_interp inside the contour, default value will be adopted on the rest of the mesh.\n");
-	_printf_(true,"      data_prime:  vector of prime interpolated data.\n");
-	_printf_(true,"\n");
+	_pprintLine_("   usage:");
+	_pprintLine_("         data_prime=InterpFromMesh2d(index,x,y,data,x_prime,y_prime);\n");
+	_pprintLine_("      or data_prime=InterpFromMesh2d(index,x,y,data,x_prime,y_prime,default_value);\n");
+	_pprintLine_("      or data_prime=InterpFromMesh2d(index,x,y,data,x_prime,y_prime,default_value,contourname);\n");
+	_pprintLine_("   where:");
+	_pprintLine_("      x,y: coordinates of the nodes where data is defined");
+	_pprintLine_("      index: index of the mesh where data is defined");
+	_pprintLine_("      data - vector holding the data to be interpolated onto the points.");
+	_pprintLine_("      x_prime,y_prime: coordinates of the mesh vertices onto which we interpolate.");
+	_pprintLine_("      default_value: a scalar or vector of size length(x_prime).");
+	_pprintLine_("      contourname: linear interpolation will happen on all x_interp,y_interp inside the contour, default value will be adopted on the rest of the mesh.");
+	_pprintLine_("      data_prime:  vector of prime interpolated data.");
+	_pprintLine_("");
 }
Index: issm/branches/trunk-jpl-damage/src/modules/InterpFromMeshToGrid/InterpFromMeshToGrid.cpp
===================================================================
--- issm/branches/trunk-jpl-damage/src/modules/InterpFromMeshToGrid/InterpFromMeshToGrid.cpp	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/modules/InterpFromMeshToGrid/InterpFromMeshToGrid.cpp	(revision 12878)
@@ -64,16 +64,16 @@
 void InterpFromMeshToGridUsage(void)
 {
-	_printf_(true,"INTERPFROMMESHTOGRID - interpolation of a data defined on a mesh onto a grid\n");
-	_printf_(true,"\n");
-	_printf_(true,"   This function is a multi-threaded mex file that interpolates a field\n");
-	_printf_(true,"   defined on a triangular mesh onto a regular grid\n");
-	_printf_(true,"\n");
-	_printf_(true,"   Usage:\n");
-	_printf_(true,"      [x_m,y_m,griddata]=InterpFromMeshToGrid(index,x,y,data,xmin,ymax,xposting,yposting,nlines,ncols,default_value)\n");
-	_printf_(true,"\n");
-	_printf_(true,"      index,x,y: delaunay triangulation defining the mesh.\n");
-	_printf_(true,"      meshdata: vertex values of data to be interpolated.\n");
-	_printf_(true,"      xmin,ymax,posting,nlines,ncols: parameters that define the grid\n");
-	_printf_(true,"      default_value: value of points located out of the mesh.\n");
-	_printf_(true,"\n");
+	_pprintLine_("INTERPFROMMESHTOGRID - interpolation of a data defined on a mesh onto a grid");
+	_pprintLine_("");
+	_pprintLine_("   This function is a multi-threaded mex file that interpolates a field");
+	_pprintLine_("   defined on a triangular mesh onto a regular grid");
+	_pprintLine_("");
+	_pprintLine_("   Usage:");
+	_pprintLine_("      [x_m,y_m,griddata]=InterpFromMeshToGrid(index,x,y,data,xmin,ymax,xposting,yposting,nlines,ncols,default_value)");
+	_pprintLine_("");
+	_pprintLine_("      index,x,y: delaunay triangulation defining the mesh.");
+	_pprintLine_("      meshdata: vertex values of data to be interpolated.");
+	_pprintLine_("      xmin,ymax,posting,nlines,ncols: parameters that define the grid");
+	_pprintLine_("      default_value: value of points located out of the mesh.");
+	_pprintLine_("");
 }
